install plasmoid in plasma5

on my PC=Dell latitude E6510, RAM=8Gb, GPU=GT218 NVS 3100M, CPU=i7 Q 720 @ 1.60GHz
I upgraded my opensuse 13.2 to leap 42.1 using wolfi repos,
n KDE4 I use some simple plasmoid to show some informations, now in plasma5 I tried to install but unsuccessfully.

pla@suseST-pla:/dati/impo-conf/plasmoidi-miei/python> plasmapkg --install hostname-var-pla/
plasmapkg(21162)/libplasma Plasma::Package::installPackage: "/home/pla/.kde4/share/apps/plasma/plasmoids//hostname-var-pla" already exists 
Installation of /dati/impo-conf/plasmoidi-miei/python/hostname-var-pla failed.
pla@suseST-pla:/dati/impo-conf/plasmoidi-miei/python> 


it says already exist and but I cannot found when I click add widgets,
but it seems plasmapkg want to install in try to install in /home/pla/.kde4/share/apps/plasma/plasmoids/
that should be for kde4, how can I install plasmoids in plasma5???

found one thing, I have to use plasmapkg2 but…

pla@suseST-pla:/dati/impo-conf/plasmoidi-miei/python> plasmapkg2 --install hostname-var-pla/
pluginname:  "hostname-var-pla"
-- Copying  "/home/pla/.local/share/plasma/plasmoids/hostname-var-pla/metadata.desktop" "/home/pla/.local/share/kservices5/plasma-applet-hostname-var-pla.desktop"
Copying metadata went ok.
Successfully installed /dati/impo-conf/plasmoidi-miei/python/hostname-var-pla
pla@suseST-pla:/dati/impo-conf/plasmoidi-miei/python> whereis plasma-scriptengine-python
plasma-scriptengine-python:
pla@suseST-pla:/dati/impo-conf/plasmoidi-miei/python> 


when I try to use the widget this error comes out
Error loading Applet: package inexistent. Could not create a python ScriptEngine for the hostname-var-pla widget.

what I have to do ???
manythanks :slight_smile: ciao :slight_smile: pier

What is the name of widget/plasmoid you want to install and what does it do(in functionality) ?

the name is “hostname-var-pla” as you ca see from the installation commandline
plasmapkg2 --install hostname-var-pla
it shows the hostname in a variable dimension, I have other that shows other informations based on the same code
the installation seems to works with plasmapkg2 but when I try to use the widget this error comes out

Error loading Applet: package inexistent. Could not create a python ScriptEngine for the hostname-var-pla widget.

googling about it seems that plasma5 doesn’t support python language and there isn’t python bindings to do the work.
so I came back to my old qml ugly plasmoids and changing only this the seems to works

import QtQuick 2.2
import org.kde.plasma.core 2.0 as PlasmaCore
import org.kde.plasma.components 2.0 as PlasmaComponents

:slight_smile: ciao :slight_smile: pier